# ApplicationFramework
TKLCAF
TNaming

# TNaming_UsedShapes Class Reference

Set of Shapes Used in a Data from TDF
Only one instance by Data, it always
Stored as Attribute of The Root.
.

`#include <TNaming_UsedShapes.hxx>`

Inheritance diagram for TNaming_UsedShapes:

[legend]

## Public Member Functions

Standard_EXPORT void | Destroy ()
| ~TNaming_UsedShapes ()
TNaming_DataMapOfShapePtrRefShape & | Map ()
const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
virtual Standard_EXPORT Handle_TDF_Attribute | BackupCopy () const
| Copies the attribute contents into a new other attribute. It is used by Backup(). .
virtual Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&anAttribute)
| Restores the contents from <anattribute> into this one. It is used when aborting a transaction. .
virtual Standard_EXPORT void | BeforeRemoval ()
| Clears the table. .
virtual Standard_EXPORT Standard_Boolean | AfterUndo (const Handle(TDF_AttributeDelta)&anAttDelta, const Standard_Boolean forceIt=Standard_False)
| Something to do after applying <anattdelta>. .
virtual Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
virtual Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&intoAttribute, const Handle(TDF_RelocationTable)&aRelocTationable) const
| This method is different from the "Copy" one, because it is used when copying an attribute from a source structure into a target structure. This method pastes the current attribute to the label corresponding to the insertor. The pasted attribute may be a brand new one or a new version of the previous one. .
virtual Standard_EXPORT void | References (const Handle(TDF_DataSet)&aDataSet) const
| Adds the directly referenced attributes and labels to <adataset>. "Directly" means we have only to look at the first level of references. For this, use only the AddLabel() & AddAttribute() from DataSet and do not try to modify information previously stored in <adataset>. .
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the attribute on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| Returns the ID: 2a96b614-ec8b-11d0-bee7-080009dc3333. .

## Private Member Functions

Standard_EXPORT | TNaming_UsedShapes ()

## Private Attributes

TNaming_DataMapOfShapePtrRefShape | myMap

## Constructor & Destructor Documentation

TNaming_UsedShapes::~TNaming_UsedShapes | ( |  | ) | `[inline]`

Standard_EXPORT TNaming_UsedShapes::TNaming_UsedShapes | ( |  | ) | `[private]`

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean TNaming_UsedShapes::AfterUndo | ( | const Handle(TDF_AttributeDelta)& | anAttDelta,
|  | const Standard_Boolean | forceIt = `Standard_False`
| ) | `[virtual]`

| Reimplemented from TDF_Attribute.

virtual Standard_EXPORT Handle_TDF_Attribute TNaming_UsedShapes::BackupCopy | ( |  | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

virtual Standard_EXPORT void TNaming_UsedShapes::BeforeRemoval | ( |  | ) | `[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT void TNaming_UsedShapes::Destroy | ( |  | ) |

virtual Standard_EXPORT Standard_OStream& TNaming_UsedShapes::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

static Standard_EXPORT const Standard_GUID& TNaming_UsedShapes::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TNaming_UsedShapes::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

const Standard_GUID & TNaming_UsedShapes::ID | ( |  | ) | const`[inline, virtual]`

| Implements TDF_Attribute.

TNaming_DataMapOfShapePtrRefShape & TNaming_UsedShapes::Map | ( |  | ) | `[inline]`

virtual Standard_EXPORT Handle_TDF_Attribute TNaming_UsedShapes::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TNaming_UsedShapes::Paste | ( | const Handle(TDF_Attribute)& | intoAttribute,
|  | const Handle(TDF_RelocationTable)& | aRelocTationable
| ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TNaming_UsedShapes::References | ( | const Handle(TDF_DataSet)& | aDataSet | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

virtual Standard_EXPORT void TNaming_UsedShapes::Restore | ( | const Handle(TDF_Attribute)& | anAttribute | ) | `[virtual]`

| Implements TDF_Attribute.

## Field Documentation

TNaming_DataMapOfShapePtrRefShape TNaming_UsedShapes::myMap `[private]`

The documentation for this class was generated from the following files:

- TNaming_UsedShapes.hxx
- TNaming_UsedShapes.lxx